<div class="container">
    <%= form_for(@product, html:{class: "form-horizontal", role: "form"}) do |f| %>
            
             <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Active</label>
                    </div>
                    <div class="col-sm-2">
                            <%= f.check_box :active, class: "form-control", placeholder: "Active?"%>
                    </div>
            </div>
            <div class="row">
                        <div class="col-md-offset-2 col-md-8">
                            <h2>General</h2>
                            <hr>
                        </div>   
            </div>
            <div class="form-group">
               <div class="control-label col-sm-2">  
                    <label>Title</label> 
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :title, class: "form-control", placeholder: "Title of product", autofocus: true %>
                </div>
            </div>

            <!--<div class="form-group">-->
            <!--   <div class="control-label col-sm-2">  -->
            <!--        <label>Hero Score</label> -->
            <!--   </div>-->
            <!--   <div class="col-sm-8">-->
            <!--        <%= f.text_field :heroscore, class: "form-control", placeholder: "7.5", autofocus: true %>-->
            <!--        <p class="help-block">0-10 with Decimal Point (e.g. 7.5)</p>-->
            <!--    </div>-->
            <!--</div>-->

            <div class="form-group">
               <div class="control-label col-sm-2">  
                      <label>Main Image URL</label>  
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :img, class: "form-control", placeholder: "Image Link"%>
                </div>
            </div>
            <div class="form-group">
               <div class="control-label col-sm-2">  
                    <%= f.label :description %> 
               </div>
                <div class="col-sm-8">
                    <%= f.text_area :description, rows: 10, class: "form-control", placeholder: "Description of the product" %>
                    <p class="help-block">Formatting will be saved</p>
                </div>
            </div>
            <div class="form-group">
               <div class="control-label col-sm-2">  
                      <label>Review CSV URL</label>  
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :review_csv_url, class: "form-control", placeholder: "Review CSV URL"%>
                </div>
            </div>

            <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Categories</h2>
                    <hr>
                </div>   
            </div>

            <div class="form-group">
               <div class="control-label col-sm-2">  
                    <label> Categories </label>
               </div>
                <div class="checkbox">
                    <%= f.collection_check_boxes :category_ids, Category.all, :id, :name do |cb| %>
                        <% cb.label(class: "checkbox-inline input_checkbox") {cb.check_box(class: "checkbox") + cb.text}%>
                    <% end %>
                </div>
            </div>

              <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Google</h2>
                    <hr>
                </div>   
            </div>

            <div class="form-group">
               <div class="control-label col-sm-2">  
                      <label>Trends Keyword</label>  
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :trends_keyword, class: "form-control", placeholder: "Keyword"%>
                </div>
            </div>

            <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Video Advert</h2>
                    <hr>
                </div>   
            </div>

            <div class="form-group">
               <div class="control-label col-sm-2">  
                      <label>Video Advert URL</label>  
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :youtubevideoadurl, class: "form-control", placeholder: "Video Ad"%>
                </div>
            </div>


            <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Other Suppliers</h2>
                    <hr>
                </div>   
            </div>
            
            <div class="form-group">
               <div class="control-label col-sm-2">  
                      <label>Amazon URL</label>  
               </div>
                <div class="col-sm-8">
                    <%= f.text_field :amazonurl, class: "form-control", placeholder: "Amazon URL"%>
                </div>
            </div>
            <div class="form-group">
                <div class="control-label col-sm-2">  
                      <label>Ebay URL</label>  
               </div>
                <div class="col-sm-8">
                    <%= f.text_field :ebayurl, class: "form-control", placeholder: "Ebay URL"%>
                </div>
            </div>


            <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Oberlo</h2>
                    <hr>
                </div>   
            </div>

            <div class="form-group">
                <div class="control-label col-sm-2">  
                      <label>Oberlo URL</label>  
               </div>
                <div class="col-sm-8">
                
                    <%= f.text_field :oberloimporturl, class: "form-control", placeholder: "Oberlo URL"%>
                </div>
            </div>

              <div class="row">
                <div class="col-md-offset-2 col-md-8">
                    <h2>Store</h2>
                    <hr>
                </div>   
            </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Store Name</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :storename, class: "form-control", placeholder: "Store Name"%>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Store URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :storeurl, class: "form-control", placeholder: "Store URL"%>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Buy Price</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :storeprice, class: "form-control", placeholder: "4.85"%>
                    </div>
                </div>
                <div class="form-group">
               <div class="control-label col-sm-2">  
                     <label>Sell Price</label>
               </div>
               <div class="col-sm-8">
                    <%= f.text_field :sellprice, class: "form-control", placeholder: "19.99" %>
                    <p class="help-block">Price the product can be sold for (without currency symbol e.g. 19.99)</p>
                </div>
            </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Store Feedback</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :storefeedbackscore, class: "form-control", placeholder: "99.3"%>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Product Rating</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :product_rating, class: "form-control", placeholder: "4.5"%>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>E-Packet</label>
                    </div>
                    <div class="col-sm-2">
                            <%= f.check_box :storeepacket, class: "form-control", placeholder: "EPacket possible?"%>
                    </div>

                    <div class="control-label col-sm-2">  
                            <label>E-Packet Price</label>
                    </div>
                    <div class="col-sm-4">
                            <%= f.text_field :storeepacketprice, class: "form-control", placeholder: "EPacket Price"%>
                    </div>
                </div>

                    <div class="row">
                        <div class="col-md-offset-2 col-md-8">
                            <h2>Compare Ad</h2>
                            <hr>
                        </div>   
                    </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Advert URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :facebookad_url, class: "form-control", placeholder: "Facebook Ad URL"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Likes on Ad</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :likes, :required => true, class: "form-control", placeholder: "Likes on the FB Post"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Comments on Ad</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :comments, :required => true, class: "form-control", placeholder: "Comments on the FB Post"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Shares on Ad</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :shares, :required => true, class: "form-control", placeholder: "Shares on the FB Post"%>
                    </div>
                </div>

                 <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Facebook Page URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :facebook_page_url, class: "form-control", placeholder: "https://facebook.com/pagename"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Product Page URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :product_page_url, class: "form-control", placeholder: "Product Page URL"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Post Date</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :facebookad_posted_at, :required => true, class: "form-control", placeholder: "DD/MM/YYYY"%>
                            <p class="help-block">Please provide the slashes e.g. 18/05/2018</p>
                    </div>
                </div>

                  <div class="row">
                        <div class="col-md-offset-2 col-md-8">
                            <h2>Facebook Advertisement</h2>
                            <hr>
                        </div>   
                    </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Facebook AdCopy</label>
                    </div>
                    <div class="col-sm-8">
                        <%= f.text_area :adcopy, rows: 10, class: "form-control", placeholder: "AdCopy for the product" %>
                    </div>
                </div>
          
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Video Ad URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :videoadurl, class: "form-control", placeholder: "Video Ad URL"%>
                    </div>
                 </div>
 
                  <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <%= f.label :audiences %> 
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_area :audiences, class: "form-control", placeholder: "Audience1,Audience2,Audience3,..."%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                             <label>Female Audience (in %)</label> 
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :facebook_female, class: "form-control", placeholder: "50.9"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                             <label>Male Audience (in %)</label> 
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :facebook_male, class: "form-control", placeholder: "49.1"%>
                    </div>
                </div>
            
                 <div class="row">
                        <div class="col-md-offset-2 col-md-8">
                            <h2>Instagram Advertisement</h2>
                            <hr>
                        </div>   
                    </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Picutre Ad URL</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.text_field :pictureadurl, class: "form-control", placeholder: "Image Ad URL"%>
                    </div>
                </div>

                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <%= f.label :influencer %> 
                    </div>
                    <div class="col-sm-8">
                        <%= f.text_area :influencer, class: "form-control", placeholder: "influencer1,influencer2,influencer3,..." %>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Instagram AdCopy</label>
                    </div>
                    <div class="col-sm-8">
                        <%= f.text_area :instagramadcopy, rows: 10, class: "form-control", placeholder: "AdCopy for the Description" %>
                    </div>
                </div>
                <div class="form-group">
                    <div class="control-label col-sm-2">  
                            <label>Free + Shipping?</label>
                    </div>
                    <div class="col-sm-8">
                            <%= f.check_box :freeplusshipping, class: "form-control", placeholder: "Video Ad Link"%>
                    </div>
                </div>

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    <%= f.submit class: 'btn btn-primary btn-lg' %>
                </div>
            </div>
    <% end %>
</div>